package gq.unurled.elixium.listener.player;

import gq.unurled.elixium.Elixium;
import gq.unurled.elixium.config.PlayerConfig;
import gq.unurled.elixium.manager.ProfileManager;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

public class JoinEvent implements Listener {

    private Elixium main;
    private ProfileManager profileManager;
    private PlayerConfig playerConfig;

    public JoinEvent(Elixium main) {
        this.main = main;
        this.profileManager = main.getProfileManager();
        this.playerConfig = main.getPlayerConfig();
    }

    @EventHandler
    public void PlayerJoinEvent(PlayerJoinEvent e) {
        Player player = e.getPlayer();
        playerConfig.loadPlayerConfig(player);
    }

}
