package gq.unurled.elixium.manager;

import gq.unurled.elixium.Elixium;
import gq.unurled.elixium.listener.player.*;
import gq.unurled.elixium.utils.AureliumSkills;
import gq.unurled.elixium.utils.Reload;
import org.bukkit.event.Listener;
import org.bukkit.plugin.PluginManager;

public class ListenerManager {

    private final Elixium main;
    private final PluginManager pm;

    public ListenerManager(Elixium main) {
        this.main = main;
        this.pm = main.getPm();
    }

    public void register() {
        this.pm.registerEvents(new JoinEvent(main), main);
        this.pm.registerEvents(new LeaveEvent(main), main);
        this.pm.registerEvents(new ArmorEvent(main), main);
        this.pm.registerEvents(new ItemHandEvent(main), main);
        this.pm.registerEvents(new AureliumSkills(main), main);
        this.pm.registerEvents(new Reload(), main);
    }
}
